function ContentElement(data){
    this.class = "ContentElement"; // MANDATORY
	  this.data = data;
	  this.status = ""; // LOADING, READY, ERROR
    this.path = "";
    this.crossfade_time = 0;
        
    this.getSource = function(){
		return this.data.attr('filename');
	};  
    
    this.getId = function(){
		return parseInt(this.data.attr('id'));
	}; 
    
    this.getUniqueId = function(){
		return parseInt(this.data.attr('item_id'));
	}; 
    
    this.getUrl = function(){
		return this.data.attr('id');
	}; 
    
    this.getDuration = function(){
        var duration = parseInt(this.data.attr('duration'));
  	    return duration;
	}; 
        
    this.verify_active = function(now){
        var activation = parseInt(this.data.attr('activation'))*1000;
        var expiration = parseInt(this.data.attr('expiration'))*1000;
        
        if(isNaN(activation) && isNaN(expiration)){ return true; }
        
        if(activation < now && expiration > now){
            return true;
        }         
        
        return false;
    }
    
    this.verify = function(timestamp){
        if(!this.verify_active(timestamp)){
            return false;
        }
        return true;
    };
    
    this.getCrossfadeTime = function(){
        return this.crossfade_time;
    };
    
    this.setCrossfadeTime = function(crossfade){
        this.crossfade_time = crossfade;
    };
}
